<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.4"?>
<!--
  Copyright (c) 2010, 2025 Contributors to the Eclipse Foundation
 
  See the NOTICE file(s) distributed with this work for additional
  information regarding copyright ownership.
 
  This program and the accompanying materials are made available under the terms
  of the MIT License which is available at https://opensource.org/licenses/MIT
 
  SPDX-License-Identifier: MIT
-->
<plugin>
   <extension point="org.eclipse.ui.commands">
      <category
         id="org.eclipse.escet.setext.commands.category"
         name="SeText commands">
      </category>
      <command
         categoryId="org.eclipse.escet.setext.commands.category"
         defaultHandler="org.eclipse.escet.setext.generator.SeTextGeneratorCommandHandler"
         id="org.eclipse.escet.setext.generator.SeTextGeneratorCommandHandler"
         name="Generate scanner/parser(s)">
      </command>
      <command
         categoryId="org.eclipse.escet.setext.commands.category"
         defaultHandler="org.eclipse.escet.setext.generator.SeTextGeneratorWithOptionsCommandHandler"
         id="org.eclipse.escet.setext.generator.SeTextGeneratorWithOptionsCommandHandler"
         name="Generate scanner/parser(s)...">
      </command>
   </extension>
   <extension point="org.eclipse.core.expressions.definitions">
      <definition id="org.eclipse.escet.setext.generator.singleFile">
         <and>
            <iterate>
               <adapt type="org.eclipse.core.resources.IFile">
                  <test property="org.eclipse.core.resources.name"
                        value="*.setext"/>
               </adapt>
            </iterate>
            <count value="1"/>
         </and>
      </definition>
   </extension>
   <extension point="org.eclipse.ui.menus">
      <menuContribution locationURI="popup:org.eclipse.ui.popup.any">
         <command
               commandId="org.eclipse.escet.setext.generator.SeTextGeneratorCommandHandler"
               icon="icons/setext_generator.png"
               label="&amp;Generate scanner/parser(s)">
            <visibleWhen>
               <or>
                  <with variable="activeMenuSelection">
                     <reference definitionId="org.eclipse.escet.setext.generator.singleFile"/>
                  </with>
                  <with variable="activeMenuEditorInput">
                     <reference definitionId="org.eclipse.escet.setext.generator.singleFile"/>
                  </with>
               </or>
            </visibleWhen>
         </command>
         <command
               commandId="org.eclipse.escet.setext.generator.SeTextGeneratorWithOptionsCommandHandler"
               icon="icons/setext_generator.png"
               label="Generate scanner/&amp;parser(s)...">
            <visibleWhen>
               <or>
                  <with variable="activeMenuSelection">
                     <reference definitionId="org.eclipse.escet.setext.generator.singleFile"/>
                  </with>
                  <with variable="activeMenuEditorInput">
                     <reference definitionId="org.eclipse.escet.setext.generator.singleFile"/>
                  </with>
               </or>
            </visibleWhen>
         </command>
      </menuContribution>
   </extension>
</plugin>
